Subject: Re: What is the differents between Switch and Router?

From: Vernon Schryver <[email-masked]>
Date: Sat, 17 Mar 2001 09:30:29 -0700 (MST)

> From: Joe Touch <[email-masked]>

> > >Of coourse, we disscuss this problem on the switch and router on the same
> > >layer.
>
> > A router decrements the IP TTL field.
>
> It should also not propagate broadcast IP packets (subnet or all 1's).
> (Any other hard requirements?)

It should send and receive some ICMP, e.g. Need-Frag, unlike some
FDDI-Ethernet bridges that IP fragmented but didn't help with MTU
discovery...and the rest of RFC 1812, including RFC 2644.

] From: Grenville Armitage <[email-masked]>

] >As to the 3 Layer switch and router, both of them work as a distributor
] >based on the IP address.  Just some small differents usage and implemention.
]
] Layer 3 "switch" is marketing drivel for "really fast" (typically
] hardware) router. If it sinks like a duck....

Yes, as "switch" and "layer 2 switch" are salescritter and trade rag
consultant lies for "not slow multi-port Ethernet bridge."
(Lies because they were intended to mislead the suckers into believing
something false, that adding ports or running at wire speed (as some
nominal "bridges" did before there were "switches") changes the nature
of the device.)

} On Sat, 17 Mar 2001, Randy Bush wrote:
}
} > >> A router decrements the IP TTL field.
} > > It should also not propagate broadcast IP packets (subnet or all 1's).
} > 
} > for a non-attached subnet, what is a broadcast packet?

> From: Bora Akyol <[email-masked]>

[ Maybe he meant directed broadcast as in 10.10.255.255 ?

I bet that Mr. Bush's point was that a router not connected to any
RFC 1918 networks cannot know whether 10.10.255.255 is a host address
on 10.0.0.0/8 or the broadcast address for 10.10.0.0/16. 
Given automatic aggregation, which is even in RIPv2 and RIPv1, how
does a router distinguish the prefix from the host bits?

See also RFC 2644.

Vernon Schryver    [email-masked]

---

From: Sahraei Sasan-ssahra01 <[email-masked]>
Date: Sat, 17 Mar 2001 20:38:32 -0000

In telecommunications, a switch is a network device that selects a path or circuit for sending a unit of data to its next destination. A switch may also include the function of the router, a device or program that can determine the route and specifically what adjacent network point the data should be sent to. In general, a switch is a simpler and faster mechanism than a router, which requires knowledge about the network and how to determine the route. 

Ref : http://whatis.techtarget.com/WhatIs_Definition_Page/0,4152,213079,00.html

Sasan

-----Original Message-----
From: Joe Touch [mailto:[email-masked]]
Sent: 17 March 2001 17:28
To: Randy Bush
Cc: Bora Akyol; Harald Alvestrand; huangjianbo; IETF Mailing list;
[email-masked]
Subject: Re: What is the differents between Switch and Router?

Randy Bush wrote:
> >> for a non-attached subnet, what is a broadcast packet?
> > Maybe he meant directed broadcast as in 10.10.255.255 ?
> 
> i guess i was too suble.  from here, i do not know that 10.10.255.255 is not
> a host in subnet 10.0.0.0/10.

I meant "subnet directed broadcasts", the rule I was referring to was RFC2644.

I was insufficiently specific:

	1. MUST NOT propagate IP packets whose destination is 
	   broadcast (all 1's). (as in RFC1812) 

	2. MAY NOT propagate IP packets whose destination is 
	   subnet broadcast for one if its attached nets (as in RFC2644)
		MUST be configured NOT to propagate as a default.
		MUST require explicit user intervention to override the default.

	2. MUST NOT propagate packets whose source address is the 
	   subnet broadcast for one of its attached nets. (as in RFC2644)

We're all talking about the same "broadcast filter" rule (set).

Other than refining that rule, are there any other observable differences
between routers and switches?

Joe